Bug 473977 - vim incorrectly linked to libtermcap instead of libncurses
vim incorrectly linked to libtermcap instead of libncurses
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: vim (Show other bugs)
5.2
All Linux
low Severity medium
: rc
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 12:16 EST by Tom Sorensen
Modified: 2013-04-12 15:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-22 13:27:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Sorensen 2008-12-01 12:16:57 EST
Description of problem:

vim is apparently linked to libtermcap instead of libcurses or libncurses (preferable). This causes many vim to have incorrect capabilities under many values for TERM.


Version-Release number of selected component (if applicable):
vim-enhanced-7.0.109-3.el5.3

How reproducible:
100%


Steps to Reproduce:
1. export TERM=putty
2. vim
3. :echo t_Co
  
Actual results:
t_Co=

Expected results:
t_Co=8

Additional info:
If you set TERM=xterm, you get the expected results. Also reproducible for putty-256color vs xterm-256color, and others. :version shows +terminfo but the Linking: section shows -ltermcap. On other platforms (AIX, Solaris) it indicates -lncurses or -lcurses.

This problem is also in RHEL4. I do not have RHEL3 anywhere to check that.
Comment 8 errata-xmlrpc 2009-06-22 13:27:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1117.html

Note You need to log in before you can comment on or make changes to this bug.